Retrieve all Semantic CWT credentials configurations
Returns a list of all Compact Semantic Credential configurations from your tenant.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>limit?numberRange size of returned list.
1 <= value <= 1000100cursor?stringStarting point for the list of entries.
type?stringThe optional credential type to filter on
Semantic CWT credentials configurations retrieved
application/json- response
nextCursor?stringStarting point for next cursor to use in a page
data?array<>curl -X GET 'https://example.vii.au01.mattr.global/v2/credentials/compact-semantic/configurations'{ "nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM", "data": [ { "id": "983c0a86-204f-4431-9371-f5a22e506599", "type": "CourseCredential", "claimMappings": { "firstName": { "mapFrom": "claims.given_name", "required": true }, "address": { "mapFrom": "claims.address.formatted" }, "picture": { "mapFrom": "claims.picture", "defaultValue": "http://example.edu/img/placeholder.png" }, "badge": { "defaultValue": "http://example.edu/img/badge.png" }, "providerSubjectId": { "mapFrom": "authenticationProvider.subjectId" } }, "revocable": true, "claimSourceId": "78e1b90c-401d-45bb-89c0-938da4d44c60", "expiresIn": { "years": 1, "months": 12, "weeks": 52, "days": 365, "hours": 24, "minutes": 1440, "seconds": 3600 } } ]}How would you rate this page?
Create a Semantic CWT credentials configuration POST
Creates a new Semantic CWT credentials configuration, a specific set of rules and parameters that are used to create and validate a particular type of verifiable credential. These rules and parameters define how the credential is structured and what data it contains when issued.
Retrieve a Semantic CWT credentials configuration GET
Returns a Semantic CWT credentials configuration by providing its ID.